Visualizza post

Questa sezione ti permette di visualizzare tutti i post inviati da questo utente. N.B: puoi vedere solo i post relativi alle aree dove hai l'accesso.


Topics - .:Fox:.

Pagine: [1]
1
Joomla! 3 / Posta bloccata a chi ha aggiornato a Joomla 3.2
« il: 09 Nov 2013, 20:45:12 »
Probabilmente qualcuno si sara' gia' accorto deb bug, ma siccome e' abbastanza grave, meglio parlarne.


Aggiornando il sito da Joomla 3.1 a 3.2 il sottosistema di posta risulta bloccato.
Joomla stesso, e la maggior parte delle estensioni (ad esempio moduli di contatto), non sono piu' in grado di inviare posta elettronica.
Ho aperto una pull request con la correzione al core di Joomla, https://github.com/joomla/joomla-cms/pull/2462 ma nel frattempo e' possibile risolvere il problema semplicemente entrando in configurazione globale e salvando (anche senza cambiamenti).

Il problema e' legato alla nuova opzione di disattivazione del sottosistema email presente appunto in configurazione globale.

2
Introduzione alle API di Google Plus e tutorial per la creazione di un aggregatore di Post G+ nel proprio sito.

Link all'articolo: http://www.joomla.it/articoli-community-16-e-17-tab/5609-pubblicare-i-post-di-google-plus-sul-proprio-sito-joomla.html

3
Sicurezza / Aggiornamento critico Fox Contact
« il: 01 Dic 2011, 12:18:41 »
Non riguarda esattamente la sicurezza, ma e' un aggiornamento abbastanza critico. Non so se e' questa la sezione giusta. Procedo ugualmente... Eventualmente me lo spostate.

Per chi usa Fox Contact, eseguire nuovamente il download e aggiornare.
In alternativa per chi ha modificato il sorgente e non vuole sovrascriversi tutto, qui c'e' la descrizione del problema e la procedura di correzione: Campo non valido senza dire il nome del campo.

Il problema riguarda i file di lingua e si manifesta solo nella lingua italiana.
Praticamente su 35 lingue, l'unica che ho scritto io e' bacata.  :-[


4
Joomla! 1.6/1.7/2.5 / Aggiornamento relativo alla sicurezza
« il: 07 Mar 2011, 14:35:04 »
A chi sta utilizzando in produzione questa estensione per la creazione di form di contatto, consiglio caldamente di aggiornare subito all'ultima versione 1.6.2 che corregge un potenziale problema di sicurezza che potrebbe in linea teorica permettere ad un utente malintenzionato di inviare a terzi spam tramite il vostro sito. E' possibile utilizzare anche la comoda funzione di aggiornamento incorporata dentro a Joomla 1.6 raggiungibile da "Gestione estensioni" -> linguetta "Aggiorna".

5
Ho deciso di scrivere un componente che consenta ai webmaster la creazione di Forms di contatto personalizzati, quando mi sono accorto che Joomla 1.6 era uscito gia' da un mese, eppure i componenti di questo tipo non venivano convertiti dai rispettivi autori, e la scelta viene quindi obbligata verso prodotti commerciali.
Penso che fino a quando non ci saranno componenti e moduli a sufficienza, la maggior parte dei webmaster non potra' passare a Joomla 1.6, e questo e' un peccato, perche' mortifica il notevole lavoro fatto dal Team di sviluppo, senza considerare che Joomla 1.6 e' a mio parere molto innovativo rispetto alla 1.5, percio' ecco il mio contributo.

Naturalmente il componente e' rilasciato con licenza GPL. L'ho inserito nell'area Download
[EDIT] link rimosso in quanto il file obsoleto

Non siate troppo cattivi con i commenti, perche' il componente e' alla sua primissima versione e potrebbe soffrire di qualche problema di gioventu'.  ;)

Pagine: [1]
Host

Torna su